
Imports UTS_Core.UTSModule.Station.ProcessStation

Namespace UTSModule.Station
    Public Class StationPlanManager
        Public Shared Function CreateStationPlan(type As StationTypeEnum, packet As StationPacket) As StationPlan
            Select Case type
                Case StationTypeEnum.Test
                    Return New StationTestPlan(packet)
                Case StationTypeEnum.Package
                    Return New StationPackagePlan(packet)
                Case Else
                    Return Nothing
            End Select
            Console.WriteLine($"站位类型:{type}")
        End Function
    End Class

End Namespace

